summaryrefslogtreecommitdiffstats
path: root/patches
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-11-09 22:16:30 +0000
committer Eric Hameleers <alien@slackware.com>2022-11-10 13:30:32 +0100
commitff521ad79255c7ffdb6220f0c6fe43064a44b31f (patch)
tree9017282923e32bdf6d6b5bc1fcf0a0d5ff30839b /patches
parent9cbb8ffdbc8f00ca9810b83200790f3d75985ff8 (diff)
downloadcurrent-ff521ad79255c7ffdb6220f0c6fe43064a44b31f.tar.gz
current-ff521ad79255c7ffdb6220f0c6fe43064a44b31f.tar.xz
Wed Nov 9 22:16:30 UTC 202220221109221630_15.0
patches/packages/sysstat-12.7.1-x86_64-1_slack15.0.txz: Upgraded. On 32 bit systems, in versions 9.1.16 and newer but prior to 12.7.1, allocate_structures contains a size_t overflow in sa_common.c. The allocate_structures function insufficiently checks bounds before arithmetic multiplication, allowing for an overflow in the size allocated for the buffer representing system activities. This issue may lead to Remote Code Execution (RCE). For more information, see: https://www.cve.org/CVERecord?id=CVE-2022-39377 (* Security fix *) patches/packages/xfce4-settings-4.16.4-x86_64-1_slack15.0.txz: Upgraded. Fixed an argument injection vulnerability in xfce4-mime-helper. For more information, see: https://www.cve.org/CVERecord?id=CVE-2022-45062 (* Security fix *)
Diffstat (limited to 'patches')
-rw-r--r--patches/packages/sysstat-12.7.1-x86_64-1_slack15.0.txt11
-rw-r--r--patches/packages/xfce4-settings-4.16.4-x86_64-1_slack15.0.txt11
-rw-r--r--patches/source/sysstat/doinst.sh34
-rw-r--r--patches/source/sysstat/slack-desc19
-rwxr-xr-xpatches/source/sysstat/sysstat.SlackBuild171
-rw-r--r--patches/source/sysstat/sysstat.url2
-rw-r--r--patches/source/xfce4-settings/slack-desc19
-rwxr-xr-xpatches/source/xfce4-settings/xfce4-settings.SlackBuild151
-rw-r--r--patches/source/xfce4-settings/xfce4-settings.theme.diff14
-rw-r--r--patches/source/xfce4-settings/xfce4-settings.url1
-rw-r--r--patches/source/xfce4-settings/xfce4-settings.xft.defaults.diff23
11 files changed, 456 insertions, 0 deletions
diff --git a/patches/packages/sysstat-12.7.1-x86_64-1_slack15.0.txt b/patches/packages/sysstat-12.7.1-x86_64-1_slack15.0.txt
new file mode 100644
index 000000000..578d37189
--- /dev/null
+++ b/patches/packages/sysstat-12.7.1-x86_64-1_slack15.0.txt
@@ -0,0 +1,11 @@
+sysstat: sysstat (System performance monitoring tools)
+sysstat:
+sysstat: The sysstat utilities are a collection of performance monitoring
+sysstat: tools for Linux. These include the iostat, mpstat, pidstat, sadf,
+sysstat: and sar tools.
+sysstat:
+sysstat: The sysstat utilities were written by Sebastien Godard.
+sysstat:
+sysstat: Homepage: http://sebastien.godard.pagesperso-orange.fr/
+sysstat:
+sysstat:
diff --git a/patches/packages/xfce4-settings-4.16.4-x86_64-1_slack15.0.txt b/patches/packages/xfce4-settings-4.16.4-x86_64-1_slack15.0.txt
new file mode 100644
index 000000000..84b8cb8eb
--- /dev/null
+++ b/patches/packages/xfce4-settings-4.16.4-x86_64-1_slack15.0.txt
@@ -0,0 +1,11 @@
+xfce4-settings: xfce4-settings (Xfce settings manager)
+xfce4-settings:
+xfce4-settings: xfce4-settings is the Xfce settings manager front-end. It comes with
+xfce4-settings: several different components for configuring application-independent
+xfce4-settings: settings inside xfconf.
+xfce4-settings:
+xfce4-settings:
+xfce4-settings:
+xfce4-settings:
+xfce4-settings:
+xfce4-settings:
diff --git a/patches/source/sysstat/doinst.sh b/patches/source/sysstat/doinst.sh
new file mode 100644
index 000000000..b0f71a916
--- /dev/null
+++ b/patches/source/sysstat/doinst.sh
@@ -0,0 +1,34 @@
+
+# Since /etc/sysstat/sysstat used to be the init script and now it is
+# a config file, if we find an init script here, we have to move it
+# out of the way:
+if grep -wq "sadc was successfully launched" etc/sysstat/sysstat 1> /dev/null 2> /dev/null ; then
+ mv etc/sysstat/sysstat etc/sysstat/sysstat.obsolete.use.etc.rc.d.rc.sysstat
+fi
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/sysstat/sysstat.new
+
+# Keep same perms on rc.sysstat.new:
+if [ -e etc/rc.d/rc.sysstat ]; then
+ cp -a etc/rc.d/rc.sysstat etc/rc.d/rc.sysstat.new.incoming
+ cat etc/rc.d/rc.sysstat.new > etc/rc.d/rc.sysstat.new.incoming
+ mv etc/rc.d/rc.sysstat.new.incoming etc/rc.d/rc.sysstat.new
+fi
+
+# There's no reason for a user to edit rc.sysstat, so overwrite it:
+if [ -r etc/rc.d/rc.sysstat.new ]; then
+ mv etc/rc.d/rc.sysstat.new etc/rc.d/rc.sysstat
+fi
+
diff --git a/patches/source/sysstat/slack-desc b/patches/source/sysstat/slack-desc
new file mode 100644
index 000000000..52ec85792
--- /dev/null
+++ b/patches/source/sysstat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sysstat: sysstat (System performance monitoring tools)
+sysstat:
+sysstat: The sysstat utilities are a collection of performance monitoring
+sysstat: tools for Linux. These include the iostat, mpstat, pidstat, sadf,
+sysstat: and sar tools.
+sysstat:
+sysstat: The sysstat utilities were written by Sebastien Godard.
+sysstat:
+sysstat: Homepage: http://sebastien.godard.pagesperso-orange.fr/
+sysstat:
+sysstat:
diff --git a/patches/source/sysstat/sysstat.SlackBuild b/patches/source/sysstat/sysstat.SlackBuild
new file mode 100755
index 000000000..c64b131a6
--- /dev/null
+++ b/patches/source/sysstat/sysstat.SlackBuild
@@ -0,0 +1,171 @@
+#!/bin/bash
+
+# Copyright 2006, 2008, 2009, 2010, 2018, 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=sysstat
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1_slack15.0}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+ ARCHQUADLET=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ ARCHQUADLET=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ ARCHQUADLET=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ ARCHQUADLET=""
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv4t"
+ LIBDIRSUFFIX=""
+ ARCHQUADLET="-gnueabi"
+else
+ SLKCFLAGS="-O2"
+ ARCHQUADLET=""
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure:
+CFLAGS="$SLKCFLAGS -DSADC_PATH=/usr/lib$LIBDIRSUFFIX/sa/sadc" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ conf_dir=/etc/sysstat \
+ sa_lib_dir=/usr/lib$LIBDIRSUFFIX/sa \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/sysstat-$VERSION \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux$ARCHQUADLET || exit 1
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install IGNORE_MAN_GROUP=y DESTDIR=$PKG || exit 1
+
+# Don't include the version number in the configuration file - it is a
+# needless detail that forces review of the config file with every
+# package update, even if no changes were made from default.
+sed -i -e '1s/sysstat-[0-9.]\+/systat/' $PKG/etc/sysstat/sysstat
+# Move the config file to .new:
+mv $PKG/etc/sysstat/sysstat $PKG/etc/sysstat/sysstat.new
+
+mkdir -p $PKG/etc/rc.d
+# Cosmetic touches:
+sed -i 's?/etc/rc.d/init.d/sysstat?/etc/rc.d/rc.sysstat?g' sysstat
+install -o0 -g0 -vpm644 sysstat $PKG/etc/rc.d/rc.sysstat.new
+
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Adjust the docs so that they are Slackware-locationised:
+# We ignore the 'CHANGES' since they aren't relevant to the running of the system.
+sed -i 's?/etc/sysconfig?/etc/sysstat?g' $PKG/usr/doc/$PKGNAM-$VERSION/{README,FAQ}
+# "make install" installs the docs but doesn't preserve the time stamps:
+for docfile in $( cd $PKG/usr/doc/$PKGNAM-$VERSION ; ls -1 ) ; do
+ touch -d "$( find $docfile -printf "%t\n" )" $PKG/usr/doc/$PKGNAM-$VERSION/$docfile
+done
+# Add crontab example scripts:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION/cron-examples
+cp -a \
+ cron/*cron* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION/cron-examples
+rm -f $PKG/usr/doc/${PKGNAM}-$VERSION/cron-examples/*.in
+
+# If there's a CHANGES file, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r CHANGES ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat CHANGES | head -n 1000 > $DOCSDIR/CHANGES
+ touch -r CHANGES $DOCSDIR/CHANGES
+fi
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $TMP/package-${PKGNAM}
+makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/patches/source/sysstat/sysstat.url b/patches/source/sysstat/sysstat.url
new file mode 100644
index 000000000..3047a92cc
--- /dev/null
+++ b/patches/source/sysstat/sysstat.url
@@ -0,0 +1,2 @@
+#http://sebastien.godard.pagesperso-orange.fr/
+https://github.com/sysstat/sysstat
diff --git a/patches/source/xfce4-settings/slack-desc b/patches/source/xfce4-settings/slack-desc
new file mode 100644
index 000000000..3774be250
--- /dev/null
+++ b/patches/source/xfce4-settings/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce4-settings: xfce4-settings (Xfce settings manager)
+xfce4-settings:
+xfce4-settings: xfce4-settings is the Xfce settings manager front-end. It comes with
+xfce4-settings: several different components for configuring application-independent
+xfce4-settings: settings inside xfconf.
+xfce4-settings:
+xfce4-settings:
+xfce4-settings:
+xfce4-settings:
+xfce4-settings:
+xfce4-settings:
diff --git a/patches/source/xfce4-settings/xfce4-settings.SlackBuild b/patches/source/xfce4-settings/xfce4-settings.SlackBuild
new file mode 100755
index 000000000..c0ea4ec04
--- /dev/null
+++ b/patches/source/xfce4-settings/xfce4-settings.SlackBuild
@@ -0,0 +1,151 @@
+#!/bin/bash
+
+# Copyright 2012, 2016, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=xfce4-settings
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1_slack15.0}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i586 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Set Greybird (GTK theme) and elementary-xfce (icon theme) as system defaults
+zcat $CWD/xfce4-settings.theme.diff.gz | patch -p1 --verbose || exit 1
+
+zcat $CWD/xfce4-settings.xft.defaults.diff.gz | patch -p1 --verbose || exit 1
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --enable-pluggable-dialogs \
+ --enable-sound-settings \
+ --disable-static \
+ --disable-debug \
+ --build=$ARCH-slackware-linux || exit 1
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# We don't want icon caches:
+find $PKG/usr/share/icons -type f -name "icon-theme.cache" -exec rm -f {} \;
+
+# Add a documentation directory. Not all of these files are expected to be
+# present, but listing them ensures that documentation that might appear and
+# disappear from version to version will not be missed.
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS BUGS COMPOSITOR COPYING* FAQ HACKING INSTALL \
+ NEWS NOTES README* THANKS TODO example.gtkrc-2.0 \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/patches/source/xfce4-settings/xfce4-settings.theme.diff b/patches/source/xfce4-settings/xfce4-settings.theme.diff
new file mode 100644
index 000000000..898887846
--- /dev/null
+++ b/patches/source/xfce4-settings/xfce4-settings.theme.diff
@@ -0,0 +1,14 @@
+diff -Nur xfce4-settings-4.11.4.orig/xfsettingsd/xsettings.xml xfce4-settings-4.11.4/xfsettingsd/xsettings.xml
+--- xfce4-settings-4.11.4.orig/xfsettingsd/xsettings.xml 2015-02-16 15:03:11.000000000 -0600
++++ xfce4-settings-4.11.4/xfsettingsd/xsettings.xml 2015-02-17 21:01:05.021259913 -0600
+@@ -6,8 +6,8 @@
+ <?xml version="1.0" encoding="UTF-8"?>
+ <channel name="xsettings" version="1.0">
+ <property name="Net" type="empty">
+- <property name="ThemeName" type="empty"/>
+- <property name="IconThemeName" type="empty"/>
++ <property name="ThemeName" type="string" value="Greybird"/>
++ <property name="IconThemeName" type="string" value="elementary-xfce-dark"/>
+ <property name="DoubleClickTime" type="int" value="400"/>
+ <property name="DoubleClickDistance" type="int" value="5"/>
+ <property name="DndDragThreshold" type="int" value="8"/>
diff --git a/patches/source/xfce4-settings/xfce4-settings.url b/patches/source/xfce4-settings/xfce4-settings.url
new file mode 100644
index 000000000..6d2295fcc
--- /dev/null
+++ b/patches/source/xfce4-settings/xfce4-settings.url
@@ -0,0 +1 @@
+http://archive.xfce.org/src/xfce/xfce4-settings/4.16/xfce4-settings-4.16.4.tar.bz2
diff --git a/patches/source/xfce4-settings/xfce4-settings.xft.defaults.diff b/patches/source/xfce4-settings/xfce4-settings.xft.defaults.diff
new file mode 100644
index 000000000..333b615da
--- /dev/null
+++ b/patches/source/xfce4-settings/xfce4-settings.xft.defaults.diff
@@ -0,0 +1,23 @@
+--- ./xfsettingsd/xsettings.xml.orig 2012-04-28 15:48:30.000000000 -0500
++++ ./xfsettingsd/xsettings.xml 2012-07-19 14:32:25.554643922 -0500
+@@ -17,14 +17,19 @@
+ <property name="EnableEventSounds" type="bool" value="false"/>
+ <property name="EnableInputFeedbackSounds" type="bool" value="false"/>
+ </property>
++<!--
++ Commented out. We should not modify the system text rendering defaults.
++ At least not by default. :-)
++ Feel free to uncomment this block and modify it to suit your own needs.
+ <property name="Xft" type="empty">
+ <property name="DPI" type="empty"/>
+ <property name="Antialias" type="int" value="-1"/>
+ <property name="Hinting" type="int" value="-1"/>
+ <property name="HintStyle" type="string" value="hintnone"/>
+ <property name="RGBA" type="string" value="none"/>
+- <!-- <property name="Lcdfilter" type="string" value="none"/> -->
++ <property name="Lcdfilter" type="string" value="none"/>
+ </property>
++-->
+ <property name="Gtk" type="empty">
+ <property name="CanChangeAccels" type="bool" value="false"/>
+ <property name="ColorPalette" type="string" value="black:white:gray50:red:purple:blue:light blue:green:yellow:orange:lavender:brown:goldenrod4:dodger blue:pink:light green:gray10:gray30:gray75:gray90"/>